<?php

if($_POST['konto'] == "" or $_POST['haslo'] == "") die("Błąd!");

$konto = trim($_POST['konto']);
$haslo = md5(trim($_POST['haslo']));
$tytul = base64_encode("Zakup losu za 5 lt");

$url = 'http://bank.sarmacja.org/integracja.php?z=' . $konto . 
       '&do=SclavinLotto' .
       '&haslo=' . $haslo .
       '&kwota=5' .
       '&tytul=' . $tytul;
       
$wynik = file_get_contents($url);

$ok = false;

switch($wynik) {

  case "NIEKOMPLETNE_DANE":
    echo "Nie podałeś wszystkich danych";
    break;
  case "BRAK_KONTA_ZRODLOWEGO":
    echo "Brak konta źródłowego";
    break;
  case "BRAK_KONTA_DOCELOWEGO":
    echo "Brak konta docelowego";
    break;
  case "TO_SAMO_KONTO_ZRD_DOC":
    echo "To samo konto źródłowe i docelowe";
    break;
  case "ZLE_HASLO":
    echo "Złe hasło!";
    break;
  case "BRAK_SRODKOW":
    echo "Brak środków na koncie";
    break;
  case "OK":
    $ok = true;
    break;
  default: "Błąd ogólny!";

};

$ok = true;
if ($ok = true) {
  include_once '../dbconfig.php';
  $db = mysql_connect($db_address,$db_user,$db_pass);
  mysql_select_db($db_name);
  
  $konto = mysql_real_escape_string($konto);
  
  $z = "INSERT INTO `sclavinlotto_tygodniowa_losy` (`konto`) VALUES ('BS-$konto')";
  echo @mysql_query("$z") ? "Dziękujemy!" : "Wystąpił problem z bazą danych. Przepraszamy.";
};

?>
